package org.w3c.dom.xpath;

import org.w3c.dom.Node;
import org.w3c.dom.DOMException;

public interface XPathEvaluator
{
    public abstract XPathExpression createExpression(String p0, XPathNSResolver p1) throws XPathException, DOMException;
    
    public abstract XPathNSResolver createNSResolver(Node p0);
    
    public abstract Object evaluate(String p0, Node p1, XPathNSResolver p2, short p3, Object p4) throws XPathException, DOMException;
}
